%global reponame crash-trace

Summary: Trace extension module for the crash utility
Name:    crash-trace-command
Version: 3.0
Release: 4%{?dist}
License: GPLv2
URL:     https://github.com/fujitsu/crash-trace
Source0: %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

Patch3001: 0001-Makefile-set-DT_SONAME-to-trace.so.patch
Patch3002: 0002-Makefile-fix-build-failure-on-aarch64-and-ppc64le.patch

BuildRequires: crash-devel gcc
Requires: trace-cmd crash
ExclusiveArch: aarch64 ppc64le x86_64
ExclusiveOS: Linux

%description
Command for reading ftrace data from a dump file.

%prep
%autosetup -n %{reponame}-%{version}

%build
%make_build

%install
install -Dm 0755 %{_builddir}/%{reponame}-%{version}/trace.so \
    %{buildroot}%{_libdir}/crash/extensions/trace.so

%files
%license COPYING
%dir %{_libdir}/crash
%dir %{_libdir}/crash/extensions
%{_libdir}/crash/extensions/trace.so

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 8 2023 Shuo Wang <abushwang@tencent.com> - 3.0-1
- initial build
